FileSystemUsage (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class FileSystemUsage

    java.lang.Object
      org.hyperic.sigar.FileSystemUsage

All Implemented Interfaces:
  java.io.Serializable

    public class FileSystemUsage

extends java.lang.Object
implements java.io.Serializable

FileSystemUsage sigar class.

See Also:
  Serialized Form

Constructor Summary
`FileSystemUsage()`

Method Summary
`void` | `gather(Sigar sigar, java.lang.String name)`
`long` | `getAvail()` Get the Total free Kbytes on filesystem available to caller.
`double` | `getDiskQueue()` Get the disk_queue.
`long` | `getDiskReadBytes()` Get the Number of physical disk bytes read.
`long` | `getDiskReads()` Get the Number of physical disk reads.
`double` | `getDiskServiceTime()` Get the disk_service_time.
`long` | `getDiskWriteBytes()` Get the Number of physical disk bytes written.
`long` | `getDiskWrites()` Get the Number of physical disk writes.
`long` | `getFiles()` Get the Total number of file nodes on the filesystem.
`long` | `getFree()` Get the Total free Kbytes on filesystem.
`long` | `getFreeFiles()` Get the Number of free file nodes on the filesystem.
`long` | `getTotal()` Get the Total Kbytes of filesystem.
`long` | `getUsed()` Get the Total used Kbytes on filesystem.
`double` | `getUsePercent()` Get the Percent of disk used.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileSystemUsage

    public FileSystemUsage()

Method Detail

### gather

    public void gather(Sigar sigar,
                       java.lang.String name)
                throws SigarException

  Throws:
    `SigarException`

### getTotal

    public long getTotal()

  Get the Total Kbytes of filesystem.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Total Kbytes of filesystem

### getFree

    public long getFree()

  Get the Total free Kbytes on filesystem.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Total free Kbytes on filesystem

### getUsed

    public long getUsed()

  Get the Total used Kbytes on filesystem.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Total used Kbytes on filesystem

### getAvail

    public long getAvail()

  Get the Total free Kbytes on filesystem available to caller.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Total free Kbytes on filesystem available to caller

### getFiles

    public long getFiles()

  Get the Total number of file nodes on the filesystem.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Total number of file nodes on the filesystem

### getFreeFiles

    public long getFreeFiles()

  Get the Number of free file nodes on the filesystem.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Number of free file nodes on the filesystem

### getDiskReads

    public long getDiskReads()

  Get the Number of physical disk reads.

  Supported Platforms: AIX, FreeBSD, HPUX, Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Number of physical disk reads

### getDiskWrites

    public long getDiskWrites()

  Get the Number of physical disk writes.

  Supported Platforms: AIX, FreeBSD, HPUX, Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Number of physical disk writes

### getDiskReadBytes

    public long getDiskReadBytes()

  Get the Number of physical disk bytes read.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Number of physical disk bytes read

### getDiskWriteBytes

    public long getDiskWriteBytes()

  Get the Number of physical disk bytes written.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Number of physical disk bytes written

### getDiskQueue

    public double getDiskQueue()

  Get the disk_queue.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    disk_queue

### getDiskServiceTime

    public double getDiskServiceTime()

  Get the disk_service_time.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    disk_service_time

### getUsePercent

    public double getUsePercent()

  Get the Percent of disk used.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `df`
  - Darwin: `df`
  - FreeBSD: `df`
  - HPUX: `df`
  - Linux: `df`
  - Solaris: `df`
  - Win32: ``

  Returns:
    Percent of disk used

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.